| Home | Libraries | People | FAQ | More

##### http::basic_parser::on_header_impl

Called once after the complete HTTP header is received.

###### Synopsis

    void
    on_header_impl(
        error_code& ec);

###### Description

This virtual function is invoked once, after the complete HTTP header is received while parsing a message.

###### Parameters

Name | Description
--- | ---
`ec` | An output parameter which the function may set to indicate an error. The error will be clear before this function is invoked.